#
# Change the following line to configure the bamboo logging levels (one of INFO, DEBUG, ERROR, FATAL)
#
log4j.rootLogger=INFO, console, filelog, timelog

log4j.appender.console=org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern=%d %p [%t] [%c{1}] %m%n

#using 'bamboo home aware' appender. If the File is relative a relative Path the file goes into {bamboo.home}/logs
log4j.appender.filelog=com.atlassian.bamboo.log.BambooRollingFileAppender
log4j.appender.filelog.File=/bamboo/home/logs/atlassian-bamboo.log
log4j.appender.filelog.MaxFileSize=20480KB
log4j.appender.filelog.MaxBackupIndex=5
log4j.appender.filelog.layout=org.apache.log4j.PatternLayout
log4j.appender.filelog.layout.ConversionPattern=%d %p [%t] [%c{1}] %m%n

log4j.appender.timelog=com.atlassian.bamboo.log.BambooRollingFileAppender
log4j.appender.timelog.File=/bamboo/home/logs/perf4j-bamboo.log
log4j.appender.timelog.MaxFileSize=20480KB
log4j.appender.timelog.MaxBackupIndex=5
log4j.appender.timelog.layout=org.apache.log4j.PatternLayout
log4j.appender.timelog.layout.ConversionPattern=%d %p [%t] [%c{1}] %m%n


# This log below gives more correct line can class details
#log4j.appender.console.layout.ConversionPattern=%d %p [%t] [%C{1}:%L] %m%n
#log4j.appender.filelog.layout.ConversionPattern=%d %p [%t] [%C{1}:%L] %m%n

#
# Ignore logging from webwork.  PH is right, libraries should not log!
#
log4j.logger.org.perf4j=INFO, timelog

log4j.category.webwork=WARN
log4j.category.org.apache.velocity=WARN
log4j.category.com.opensymphony.xwork.util.LocalizedTextUtil=ERROR
log4j.category.com.opensymphony.xwork.util.OgnlValueStack=ERROR
log4j.category.org.springframework.beans.factory.support.DependencyInjectionAspectSupport=WARN
log4j.category.com.atlassian.bamboo.filter.AccessLogFilter=INFO
log4j.category.com.atlassian.user.impl.cache.CachingGroupManager=WARN
log4j.category.org.springframework=WARN
log4j.category.net.sf.hibernate=WARN
## log hibernate prepared statements/SQL queries (equivalent to setting 'hibernate.show_sql' to 'true')
#log4j.category.net.sf.hibernate.SQL=DEBUG
## log hibernate prepared statement parameter values
#log4j.category.net.sf.hibernate.type=TRACE
#log4j.category.net.sf.hibernate.impl.BatcherImpl=DEBUG
log4j.category.org.acegisecurity=WARN
log4j.category.com.atlassian.bamboo.user.BambooUserManagerImpl=WARN
log4j.category.org.apache.activemq.transport.failover.FailoverTransport=WARN
log4j.category.com.atlassian.plugin.servlet.filter.ServletFilterModuleContainerFilter=WARN
log4j.category.com.atlassian.plugin.servlet.PluginResourceDownload=WARN
log4j.category.com.atlassian.tunnel.tunnel.client.Tunnel=WARN
log4j.category.com.sun.sungrid.service.tunnel.client.Tunnel=WARN
log4j.category.com.atlassian.bamboo.persister.xstream.IgnoreMissingFieldXStream=WARN
log4j.category.com.atlassian.crowd=WARN
log4j.category.com.atlassian.crowd.integration.atlassianuser.UserGroupCache=INFO
log4j.category.com.atlassian.crowd.integration.atlassianuser.UserGroupFetcher=INFO
#log4j.category.com.atlassian.bamboo.build.monitoring.BuildHangingMonitor=DEBUG

#log4j.category.com.atlassian.bamboo.repository.cvsimpl.CvsChangeLogListener=DEBUG
#log4j.category.net.sf.hibernate.impl=DEBUG
log4j.category.net.sf.hibernate.impl.SessionImpl=ERROR
#log4j.category.com.atlassian.bamboo.v2.build.agent.remote.heartbeat.AgentHeartBeatJob=DEBUG
#log4j.category.com.atlassian.bamboo.v2.build.agent.DebugMessageConverter=DEBUG
log4j.category.com.atlassian.plugin.webresource.DefaultResourceDependencyResolver=ERROR
#log4j.category.com.atlassian.plugin.osgi=DEBUG
log4j.category.com.atlassian.plugin.osgi.container.felix.FelixOsgiContainerManager=WARN
log4j.category.org.twdata.pkgscanner.ExportPackageListBuilder=ERROR
#log4j.category.com.atlassian.bamboo.v2.build.queue.XStreamMessageConverter=TRACE

#log4j.category.com.atlassian.bamboo.agent=DEBUG
#log4j.category.com.atlassian.bamboo.buildqueue=DEBUG
#log4j.category.com.atlassian.bamboo.v2.build.agent.remote.heartbeat.AgentHeartBeatJob=DEBUG
#log4j.category.com.atlassian.bamboo.buildqueue.manager.RemoteAgentManagerImpl=DEBUG
#for cookies
#log4j.category.com.atlassian.bamboo.ww2.BambooActionSupport=DEBUG

# profiling
#log4j.category.com.atlassian.util.profiling=ALL

# For task process env + details
#log4j.category.com.atlassian.utils.process=DEBUG

#
# Ignore default into logging from Seraph.
#
log4j.logger.org.apache=INFO
log4j.logger.org.eclipse.jetty=INFO

#
# Increase Perforce Logging For Debug purposes
#
#log4j.logger.com.perforce=DEBUG
#log4j.logger.com.tek42=DEBUG

#
# Increase Atlassian's OSGI logging for debug purposes
#
#log4j.logger.com.atlassian.plugin.osgi=DEBUG

# For further testing
#log4j.category.com.atlassian.bamboo.task.TaskExecutionEvaluator=DEBUG
#log4j.category.com.atlassian.bamboo.process.ErrorStreamToBuildLoggerOutputHandler=INFO
#log4j.category.com.atlassian.bamboo.process.StreamToBuildLoggerOutputHandler=DEBUG
#log4j.category.com.atlassian.bamboo.caching.DashboardCachingManagerImpl=DEBUG
